#ifndef DEFINITION_H
#define DEFINITION_H

#include "packet_format.h"

//Payload structure
typedef struct 
{
  uint16_t id;
  HEADER_e header : 6;
  unsigned int ldr : 10;
  float battery;
  float bmpTemp;
  float bmpPress;
  float humidity;
  float compensatedHumidity;
  float htuTemp;
} DataPacket __attribute__((__packed__));

#endif //DEFINITION_H
